Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document
Class AbstractTextElement

    java.lang.Object
      info.bioinfweb.treegraph.document.ConcretePaintableElement
          info.bioinfweb.treegraph.document.AbstractTextElement

All Implemented Interfaces:
  PaintableElement, TextElement, Cloneable

Direct Known Subclasses:
  Legend, Node, ScaleBar

    public abstract class AbstractTextElement

extends ConcretePaintableElement
implements TextElement

This class can be used as the acestor of all classes that represent document elements which contain text or decimal values.

Author:
  Ben Stöver
See Also:
  `TextElementData`

Field Summary
`private TextElementData` | `data`

Fields inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`positions`

Constructor Summary
`AbstractTextElement()`

Method Summary
`void` | `assignTextElementData(TextElement other)`
`abstract AbstractTextElement` | `clone()` Implementing classes should not copy the `EnumMap positions` because the copy of this element will be located at another position.
`TextElementData` | `getData()`
`abstract ConcreteTextFormats` | `getFormats()`
`String` | `toString()`

Methods inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`getPosition`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.PaintableElement
`getPosition, setFormats`

Field Detail

### data

    private TextElementData data

Constructor Detail

### AbstractTextElement

    public AbstractTextElement()

Method Detail

### getData

    public TextElementData getData()

  Specified by:
    `getData` in interface `TextElement`

### getFormats

    public abstract ConcreteTextFormats getFormats()

  Specified by:
    `getFormats` in interface `PaintableElement`
  Specified by:
    `getFormats` in interface `TextElement`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### assignTextElementData

    public void assignTextElementData(TextElement other)

  Specified by:
    `assignTextElementData` in interface `TextElement`

### clone

    public abstract AbstractTextElement clone()

  Description copied from class: `ConcretePaintableElement`
  Implementing classes should not copy the `EnumMap positions` because the copy of this element will be located at another position. Therefor the copy will should an empty `EnumMap`.

  Specified by:
    `clone` in interface `TextElement`
  Specified by:
    `clone` in class `ConcretePaintableElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD